<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../../../wtp.xsl"?>
<html>
	<head>
		<meta name="root" content="../../../../../" />
		<title>Testing Web services context menus</title>
	</head>
	<dd />


	<body>
		<h1>Testing Web services context menus</h1>
		<h2>Web services context menus</h2>
		<p>
			The Web Services Tools includes a handful of context menus
			available on key resources, including:
		</p>
		<ul>
			<li>Projects.</li>
			<li>WSDL documents.</li>
			<li>WS-Inspection documents.</li>
			<li>Java classes.</li>
			<li>EJBs.</li>
			<li>J2EE deployment descriptors.</li>
		</ul>
		<p>
			The context menus are available from on different
			perspectives, including, but not limited to, the following:
		</p>
		<ul>
			<li>Java</li>
			<li>Web</li>
			<li>Resource</li>
			<li>J2EE</li>
		</ul>
		<p>
			They are also available on resources in the Web Services
			folder in the Project Explorer in the J2EE perspective.
		</p>

		<p>The Web services context menus actions available are:</p>
		<blockquote>
			<table BORDER="BGCOLOR=" BGCOLOR="#CCFFFF">
				<tr>
					<td>
						<b>Action</b>
					</td>

					<td>
						<b>Remarks</b>
					</td>
				</tr>

				<tr>
					<td>Test with Web Services Explorer</td>

					<td>
						Launches the Web Services Explorer to invoke
						operations on a given WSDL document.
					</td>
				</tr>

				<tr>
					<td>Publish WSDL file</td>

					<td>
						Launches the Web Services Explorer to publish
						WSDL to a UDDI registry.
					</td>
				</tr>

				<tr>
					<td>Generate WSIL</td>

					<td>
						Launches a wizard that generates a WS-Inspection
						document from a given WSDL document.
					</td>
				</tr>

				<tr>
					<td>Generate Client</td>

					<td>
						Equivalent to File -> New -> Other... -> Web
						Services -> Web Service Client.
					</td>
				</tr>

				<tr>
					<td>Create Web service</td>

					<td>
						Equivalent to File -> New -> Other... -> Web
						Services -> Web Service for a bottom-up
						scenario.
					</td>
				</tr>

				<tr>
					<td>Generate Java bean skeleton</td>

					<td>
						Equivalent to File -> New -> Other... -> Web
						Services -> Web Service for a top-down scenario.
					</td>
				</tr>

				<tr>
					<td>Configure Handlers</td>

					<td>Launches the Configure Handlers wizard.</td>
				</tr>

				<tr>
					<td>Generate Sample JSPs</td>

					<td>
						Launches that subset of the Web Service Client
						wizard that generates Sample JSPs from a Java
						proxy.
					</td>
				</tr>
			</table>
		</blockquote>
		<h2>Testing pop ups</h2>
		<h3>Context menus on Java file</h3>
		<p>
			These are the Web services context menus available on Java
			files (resource or Java objects):
		</p>
		<ul>
			<li>Create Web service</li>
			<li>Generate Sample JSPs</li>
		</ul>
		<h3>Context menus on WSDL file</h3>
		<p>
			These are the Web services context menus available on WSDL:
		</p>
		<ul>
			<li>Test with Web Services Explorer</li>
			<li>Publish WSDL file</li>
			<li>Generate Java bean skeleton</li>
			<li>Generate Client</li>
			<li>Generate WSIL</li>
		</ul>
		<h3>Context menus on WSIL file</h3>
		<p>
			These are the Web services context menus available on WSIL:
		</p>
		<ul>
			<li>Generate Java bean skeleton</li>
			<li>Generate Client</li>
		</ul>
		<h3>Context menus in J2EE Project Explorer</h3>
		<ol>
			<li>
				<p>
					Various Web services context menus are available on
					the different objects in the J2EE Project Explorer:
					<ul>
						<li>
							Web service object under Web Services ->
							Services (XXXService)
						</li>
						<li>
							WSDL object under Web Services -> Services
							-> XXXService
						</li>
						<li>
							Web service reference object Web Services ->
							Clients
						</li>
					</ul>
				</p>
				<p>
					The Web services context menus on the above objects
					are:
				</p>
				<ul>
					<li>Test with Web Services Explorer</li>
					<li>Publish WSDL file</li>
					<li>Generate Java bean skeleton</li>
					<li>Generate Client</li>
					<li>Generate WSIL</li>
					<li>Configure Handlers</li>
				</ul>
			</li>
			<br />
			<li><p>
				The Web service context menu available on the
				imlementation class under Web Services -> Services ->
				XXXService -> Service Classes object and Web Services ->
				Services -> XXXService -> Service Classes -> SerivceImpl
				object is:</p>
				<ul>
					<li>Create Web service</li>
				</ul>
			</li>
			<br />
			<li><p>
				The Web service context menu available for handlers
				under Web Services -> Services -> XXXService -> Handlers
				object and Web Services -> Clients -> Web service ref ->
				Handlers -> handler classe object is:</p>
				<ul>
					<li>Configure Handlers</li>
				</ul>
			</li>
			<br />
		</ol>
	</body>
</html>
